commit:     72d416e3f090c327b1de1ff4f89c7f9c790e4d55
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 05:10:05 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 05:51:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72d416e3

dev-python/python-neutronclient: 6.7.0 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/python-neutronclient/Manifest           |  2 +-
 ....1.ebuild => python-neutronclient-6.7.0.ebuild} | 59 ++++++++++++----------
 2 files changed, 33 insertions(+), 28 deletions(-)

diff --git a/dev-python/python-neutronclient/Manifest 
b/dev-python/python-neutronclient/Manifest
index 5e63f05be75..1f5731ee485 100644
--- a/dev-python/python-neutronclient/Manifest
+++ b/dev-python/python-neutronclient/Manifest
@@ -1,2 +1,2 @@
-DIST python-neutronclient-6.1.1.tar.gz 238212 BLAKE2B 
c91bb6039af1959eeb059e68429fee06d7ff6e56eb7c55d1c23db05a995d257e0e98a30071619ae294a17e4e42733a3ddbed94034ddc0fdb55b277a80c2dceb4
 SHA512 
b2cb1261bba6fbd5dfbf3b303f09925420730fc3e8a9d64fa5c57e1f13f1a1e19abffa9d7098d15081f2d49d40a43efb55759d1b52a2a6592a780c9feb451d37
 DIST python-neutronclient-6.5.0.tar.gz 255893 BLAKE2B 
f7e6f6225e476c200b82bb4ca224b500078bd8357377a7d5d8a331531647ddce9df4bbc42e9d9cebee689d031bd47216c8fc9bce0ad2b3228890b8cbfd8979f8
 SHA512 
77d4f86f2bc066026c903c9c694dfe2de747dc7caec268853a3d2ae8e27a47b39695b33bd81b182334717fbab7817873ae468b928e85622204c348e5b18e0930
+DIST python-neutronclient-6.7.0.tar.gz 286482 BLAKE2B 
db64746641ce58cff379ea131f05c37e962cbb64323d4e76436f4b0b9169a954396b13530894e0c09c439072d7d040286f0face1e12ae537b417e7e14ddc600d
 SHA512 
4201ce10173c91ade8b4699d54136e583da1cdd74ac340cad9f419c56d71e0cdcdb78a70795e69a8c5e13d2feba240315b976f32fd96f6561b696425f3c69885

diff --git a/dev-python/python-neutronclient/python-neutronclient-6.1.1.ebuild 
b/dev-python/python-neutronclient/python-neutronclient-6.7.0.ebuild
similarity index 53%
rename from dev-python/python-neutronclient/python-neutronclient-6.1.1.ebuild
rename to dev-python/python-neutronclient/python-neutronclient-6.7.0.ebuild
index 37561bbca1e..a56e95703e1 100644
--- a/dev-python/python-neutronclient/python-neutronclient-6.1.1.ebuild
+++ b/dev-python/python-neutronclient/python-neutronclient-6.7.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -12,57 +12,62 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc test"
 REQUIRED_USE="test? ( doc )"
 
-CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
        ${CDEPEND}
        test? (
                >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
                >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
-               >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+               >=dev-python/mox3-0.20.0[${PYTHON_USEDEP}]
                >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
-               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
-               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
-               >=dev-python/python-openstackclient-3.3.0[${PYTHON_USEDEP}]
-               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
-               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.17.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+               >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
                >=dev-python/requests-mock-1.1.0[${PYTHON_USEDEP}]
                >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
-               >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
                >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
        )
        doc? (
-               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
-               >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
-               <dev-python/sphinx-1.4[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.17.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
        )"
 
 RDEPEND="
        ${CDEPEND}
-       >=dev-python/cliff-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/cliff-2.8.0[${PYTHON_USEDEP}]
+       !~dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
        >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
        >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
-       >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
-       !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
-       >=dev-python/osc-lib-1.2.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.18.0[${PYTHON_USEDEP}]
-       >=dev-python/os-client-config-1.22.0[${PYTHON_USEDEP}]
-       >=dev-python/keystoneauth-2.17.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/osc-lib-1.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/os-client-config-1.28.0[${PYTHON_USEDEP}]
+       >=dev-python/keystoneauth-3.3.0[${PYTHON_USEDEP}]
        >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
-       !~dev-python/requests-2.12.2[${PYTHON_USEDEP}]
-       >=dev-python/simplejson-2.2.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]"
+       >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+       >=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]"
 
 python_prepare_all() {
        # built in...
        sed -i '/^hacking/d' test-requirements.txt || die
+       sed -i '/^flake8-import-order/d' test-requirements.txt || die
        distutils-r1_python_prepare_all
 }
 

Reply via email to